Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::IdAssignmentPolicy Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::IdAssignmentPolicy:

[legend]
Collaboration diagram for PortableServer::IdAssignmentPolicy:

[legend]
List of all members.

## Public Types
typedef IdAssignmentPolicy_ptr | _ptr_type
typedef IdAssignmentPolicy_var | _var_type
## Public Methods
virtual::PortableServer::IdAssignmentPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
IdAssignmentPolicy_ptr | _duplicate (IdAssignmentPolicy_ptr obj)
IdAssignmentPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
IdAssignmentPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| IdAssignmentPolicy (void)
virtual | ~IdAssignmentPolicy (void)
## Private Methods
| IdAssignmentPolicy (const IdAssignmentPolicy &)
void | operator= (const IdAssignmentPolicy &)

## Member Typedef Documentation

typedef IdAssignmentPolicy_ptr PortableServer::IdAssignmentPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef IdAssignmentPolicy_var PortableServer::IdAssignmentPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::IdAssignmentPolicy::IdAssignmentPolicy | ( | void |  | ) | `[protected]`

PortableServer::IdAssignmentPolicy::~IdAssignmentPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::IdAssignmentPolicy::IdAssignmentPolicy | ( | const IdAssignmentPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::IdAssignmentPolicy_ptr PortableServer::IdAssignmentPolicy::_duplicate | ( | IdAssignmentPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::IdAssignmentPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean PortableServer::IdAssignmentPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

IdAssignmentPolicy_ptr PortableServer::IdAssignmentPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

IdAssignmentPolicy_ptr PortableServer::IdAssignmentPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void PortableServer::IdAssignmentPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean PortableServer::IdAssignmentPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void PortableServer::IdAssignmentPolicy::operator= | ( | const IdAssignmentPolicy & |  | ) | `[private]`

virtual ::PortableServer::IdAssignmentPolicyValue PortableServer::IdAssignmentPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Id_Assignment_Policy.

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp